public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pylast/
Date: Sat,  2 May 2020 00:08:51 +0000 (UTC)	[thread overview]
Message-ID: <1588378096.aa56a04fa43b26188791a6f3079cdd32a934c384.chutzpah@gentoo> (raw)

commit:     aa56a04fa43b26188791a6f3079cdd32a934c384
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Sat May  2 00:04:50 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat May  2 00:08:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa56a04f

dev-python/pylast-3.2.1: Version bump, add py37, py38

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/pylast/Manifest            |  1 +
 dev-python/pylast/pylast-3.2.1.ebuild | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/pylast/Manifest b/dev-python/pylast/Manifest
index 94607bf8b73..c5904285046 100644
--- a/dev-python/pylast/Manifest
+++ b/dev-python/pylast/Manifest
@@ -1 +1,2 @@
 DIST pylast-1.9.0.tar.gz 42584 BLAKE2B b479fe5b780f6dbd30f20c0e183205ffe87703f26fe8ff04170c7f906705bfe737e965c2a7ebc562943c96a8f9bf7710e84999656d1ff22820254e4f4573f0e2 SHA512 ff3929583d88466738c9a1e964676652717c9f5bd4631f1a0a7855903e77cd394a612b0e2e8fc2f698ac84a34a135f4e940ff7760c2c88bf388ae56fc9c3da65
+DIST pylast-3.2.1.tar.gz 39763 BLAKE2B 1162efb68b89e381528b73eb5fb1dd45a15fcf8129b59fcae824ee78f100f6ea523207cda5b689b2fe66628b0aa5db313b5fa2f504b61b3b4ef6b64ccf13ea5b SHA512 e79a258e6f7c8490d98b4b737abae29cf763dcc5520f47dfe9fe7827f3163bc43ad7dc5c25edd1099cb4c4cd3483cdc5014331caba6f8c3cb29fb1394a8bfa3a

diff --git a/dev-python/pylast/pylast-3.2.1.ebuild b/dev-python/pylast/pylast-3.2.1.ebuild
new file mode 100644
index 00000000000..8a30a8f3bc1
--- /dev/null
+++ b/dev-python/pylast/pylast-3.2.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to last.fm and other api-compatible websites"
+HOMEPAGE="https://github.com/pylast/pylast"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+	test? ( dev-python/flaky[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# remove setuptools-scm dependency
+	sed -e 's:"setuptools_scm"::' \
+		-e "s:use_scm_version=.*:version='${PV}',:" -i setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	distutils_install_for_testing
+	pytest -vv || die "tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2020-05-02  0:08 UTC|newest]

Thread overview: 77+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-02  0:08 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-05  6:25 [gentoo-commits] repo/gentoo:master commit in: dev-python/pylast/ Michał Górny
2025-02-28  4:42 Michał Górny
2024-06-08  9:02 Michał Górny
2024-06-08  6:24 Arthur Zamarin
2024-05-23  2:11 Michał Górny
2024-05-18  7:47 Michał Górny
2023-11-24 15:13 Arthur Zamarin
2023-07-10  1:47 Michał Górny
2023-07-09 16:51 Arthur Zamarin
2023-06-07  5:09 Michał Górny
2023-06-02  1:49 Sam James
2022-11-25 14:04 Michał Górny
2022-11-25 13:54 Arthur Zamarin
2022-10-25 20:30 Arthur Zamarin
2022-05-28 18:35 Arthur Zamarin
2022-05-15 10:41 Michał Górny
2022-05-15  8:19 Jakov Smolić
2022-04-09 19:36 Arthur Zamarin
2022-04-08  8:56 Michał Górny
2022-03-16  7:56 Michał Górny
2022-01-31 23:47 Michał Górny
2021-12-30 21:30 Michał Górny
2021-12-30 20:10 Arthur Zamarin
2021-12-09 22:51 Michał Górny
2021-12-09 22:01 Arthur Zamarin
2021-11-30 18:46 Michał Górny
2021-11-04 17:09 Sam James
2021-10-05  8:27 Michał Górny
2021-08-24 14:33 Marek Szuba
2021-06-05 21:18 Michał Górny
2021-06-05 20:35 Sam James
2021-05-25 16:05 Michał Górny
2021-05-01  7:45 Michał Górny
2021-04-18  7:05 Michał Górny
2021-04-18  1:41 Sam James
2021-03-14 22:10 Michał Górny
2021-03-02  8:53 Michał Górny
2021-03-02  4:37 Sam James
2021-01-12 12:04 Sam James
2021-01-07 12:47 Sam James
2021-01-05  9:17 Michał Górny
2020-11-23 16:39 Sergei Trofimovich
2020-11-15  7:54 Michał Górny
2020-11-15  7:54 Michał Górny
2020-11-15  5:28 Sam James
2020-11-12 15:29 Sam James
2020-11-04 10:42 Sergei Trofimovich
2020-10-07 18:37 Michał Górny
2020-09-28 17:41 Sergei Trofimovich
2020-09-18 15:30 Michał Górny
2020-09-13  9:19 Sam James
2020-09-08 19:11 Michał Górny
2020-08-31  4:52 Sam James
2020-08-30  5:32 Sam James
2020-08-14  8:16 Sergei Trofimovich
2020-08-10 19:25 Sergei Trofimovich
2020-08-09 16:56 Sergei Trofimovich
2020-08-09 13:10 Michał Górny
2020-08-09 13:10 Michał Górny
2020-08-01 21:23 Michał Górny
2020-05-09  7:48 Agostino Sarubbo
2020-05-09  7:40 Agostino Sarubbo
2020-04-26  6:49 Michał Górny
2017-12-02 15:37 Mike Gilbert
2017-12-02 15:37 Mike Gilbert
2017-09-21  6:41 Tim Harder
2017-09-21  6:41 Tim Harder
2017-02-02 12:29 Manuel Rüger
2017-01-19 10:59 Agostino Sarubbo
2017-01-18 16:52 Agostino Sarubbo
2016-10-11  7:41 David Seifert
2016-05-29 19:03 Dirkjan Ochtman
2016-05-29 14:19 Pacho Ramos
2016-05-29 14:19 Pacho Ramos
2015-10-25 22:41 Michał Górny
2015-09-01 19:25 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1588378096.aa56a04fa43b26188791a6f3079cdd32a934c384.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox